using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace JXC_MIS.UserTier.RefertoInput
{
	/// <summary>
	/// 网格参照选择
	/// </summary>
	public class frmGridSelectBase : System.Windows.Forms.Form
	{
		#region Windows 窗体设计器生成的代码
		private System.Windows.Forms.Panel pnSelectedTools;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.DataGrid gridSelected;
		private System.Windows.Forms.Splitter splitter1;
		private System.Windows.Forms.DataGrid gridSource;
		private System.Windows.Forms.Panel pnSourceTools;
		private System.Windows.Forms.Button btnClearAll;
		private System.Windows.Forms.Button btnSelectAll;

		/// <summary>
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmGridSelectBase()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.pnSelectedTools = new System.Windows.Forms.Panel();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.gridSelected = new System.Windows.Forms.DataGrid();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.gridSource = new System.Windows.Forms.DataGrid();
			this.pnSourceTools = new System.Windows.Forms.Panel();
			this.btnClearAll = new System.Windows.Forms.Button();
			this.btnSelectAll = new System.Windows.Forms.Button();
			this.pnSelectedTools.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gridSelected)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.gridSource)).BeginInit();
			this.pnSourceTools.SuspendLayout();
			this.SuspendLayout();
			// 
			// pnSelectedTools
			// 
			this.pnSelectedTools.Controls.Add(this.btnCancel);
			this.pnSelectedTools.Controls.Add(this.btnOK);
			this.pnSelectedTools.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.pnSelectedTools.Location = new System.Drawing.Point(0, 390);
			this.pnSelectedTools.Name = "pnSelectedTools";
			this.pnSelectedTools.Size = new System.Drawing.Size(776, 40);
			this.pnSelectedTools.TabIndex = 14;
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCancel.Location = new System.Drawing.Point(680, 8);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(80, 25);
			this.btnCancel.TabIndex = 25;
			this.btnCancel.Text = "取消";
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnOK.Location = new System.Drawing.Point(592, 8);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(75, 25);
			this.btnOK.TabIndex = 24;
			this.btnOK.Text = "确定";
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// gridSelected
			// 
			this.gridSelected.DataMember = "";
			this.gridSelected.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gridSelected.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.gridSelected.Location = new System.Drawing.Point(0, 123);
			this.gridSelected.Name = "gridSelected";
			this.gridSelected.Size = new System.Drawing.Size(776, 307);
			this.gridSelected.TabIndex = 13;
			// 
			// splitter1
			// 
			this.splitter1.Dock = System.Windows.Forms.DockStyle.Top;
			this.splitter1.Location = new System.Drawing.Point(0, 120);
			this.splitter1.Name = "splitter1";
			this.splitter1.Size = new System.Drawing.Size(776, 3);
			this.splitter1.TabIndex = 12;
			this.splitter1.TabStop = false;
			// 
			// gridSource
			// 
			this.gridSource.DataMember = "";
			this.gridSource.Dock = System.Windows.Forms.DockStyle.Top;
			this.gridSource.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.gridSource.Location = new System.Drawing.Point(0, 40);
			this.gridSource.Name = "gridSource";
			this.gridSource.Size = new System.Drawing.Size(776, 80);
			this.gridSource.TabIndex = 11;
			// 
			// pnSourceTools
			// 
			this.pnSourceTools.Controls.Add(this.btnClearAll);
			this.pnSourceTools.Controls.Add(this.btnSelectAll);
			this.pnSourceTools.Dock = System.Windows.Forms.DockStyle.Top;
			this.pnSourceTools.Location = new System.Drawing.Point(0, 0);
			this.pnSourceTools.Name = "pnSourceTools";
			this.pnSourceTools.Size = new System.Drawing.Size(776, 40);
			this.pnSourceTools.TabIndex = 10;
			// 
			// btnClearAll
			// 
			this.btnClearAll.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnClearAll.Location = new System.Drawing.Point(720, 9);
			this.btnClearAll.Name = "btnClearAll";
			this.btnClearAll.Size = new System.Drawing.Size(48, 23);
			this.btnClearAll.TabIndex = 23;
			this.btnClearAll.Text = "全清";
			this.btnClearAll.Click += new System.EventHandler(this.btnClearAll_Click);
			// 
			// btnSelectAll
			// 
			this.btnSelectAll.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnSelectAll.Location = new System.Drawing.Point(664, 9);
			this.btnSelectAll.Name = "btnSelectAll";
			this.btnSelectAll.Size = new System.Drawing.Size(48, 23);
			this.btnSelectAll.TabIndex = 22;
			this.btnSelectAll.Text = "全选";
			this.btnSelectAll.Click += new System.EventHandler(this.btnSelectAll_Click);
			// 
			// frmGridSelectBase
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(776, 430);
			this.Controls.Add(this.pnSelectedTools);
			this.Controls.Add(this.gridSelected);
			this.Controls.Add(this.splitter1);
			this.Controls.Add(this.gridSource);
			this.Controls.Add(this.pnSourceTools);
			this.Name = "frmGridSelectBase";
			this.Text = "网格参照选择输入";
			this.pnSelectedTools.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gridSelected)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.gridSource)).EndInit();
			this.pnSourceTools.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void btnSelectAll_Click(object sender, System.EventArgs e)
		{
		
		}

		private void btnClearAll_Click(object sender, System.EventArgs e)
		{
		
		}

		private void btnOK_Click(object sender, System.EventArgs e)
		{
		
		}

		private void btnCancel_Click(object sender, System.EventArgs e)
		{
		
		}



	}//End Class
}//End NameSpace